Bug 193905 - CCS will grab random conf file from network if one is not present locally
Summary: CCS will grab random conf file from network if one is not present locally
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: ccs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-02 20:01 UTC by Jonathan Earl Brassow
Modified: 2009-04-16 20:04 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0554
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:16:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0554 normal SHIPPED_LIVE ccs bug fix update 2006-08-10 04:00:00 UTC

Description Jonathan Earl Brassow 2006-06-02 20:01:01 UTC
/*
     * no cluster.conf file.
     * We used to simply return 0 here and go fetch a random
     * conf file from the network.  This worked well in environments
     * that had only one cluster in broadcast range, but it has
     * caused to much confusion when there is more than one cluster.
     * Additionally, our docs and manuals tell users to copy the
     * file to each node anyway.
     *
     * In the event that there is a cluster.conf file, ccs will
     * still ensure that it has the most up-to-date copy of the
     * file in relation to the other nodes in the quorate cluster.
     */

Comment 3 Red Hat Bugzilla 2006-08-10 21:16:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0554.html



Note You need to log in before you can comment on or make changes to this bug.